# Serialized Form

## Package org.scilab.modules.javasci

### Exception Class org.scilab.modules.javasci.JavasciException

class JavasciException extends Exception implements Serializable

### Exception Class org.scilab.modules.javasci.JavasciException.AlreadyRunningException

class AlreadyRunningException extends JavasciException implements Serializable

### Exception Class org.scilab.modules.javasci.JavasciException.InitializationException

class InitializationException extends JavasciException implements Serializable

### Exception Class org.scilab.modules.javasci.JavasciException.ScilabErrorException

class ScilabErrorException extends JavasciException implements Serializable

### Exception Class org.scilab.modules.javasci.JavasciException.ScilabInternalException

class ScilabInternalException extends JavasciException implements Serializable

### Exception Class org.scilab.modules.javasci.JavasciException.UndefinedVariableException

class UndefinedVariableException extends JavasciException implements Serializable

### Exception Class org.scilab.modules.javasci.JavasciException.UnknownTypeException

class UnknownTypeException extends JavasciException implements Serializable

### Exception Class org.scilab.modules.javasci.JavasciException.UnsupportedTypeException

class UnsupportedTypeException extends JavasciException implements Serializable

## Package org.scilab.modules.types

### Class org.scilab.modules.types.ScilabBoolean

class ScilabBoolean extends Object implements Externalizable

serialVersionUID:
  6511497080095473901L

#### Serialization Methods

##### readExternal

public void readExternal(ObjectInput in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeExternal

public void writeExternal(ObjectOutput out) throws IOException

Throws:
  `IOException`

### Class org.scilab.modules.types.ScilabBooleanReference

class ScilabBooleanReference extends ScilabBoolean implements Externalizable

#### Serialization Methods

##### readExternal

public void readExternal(ObjectInput in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeExternal

public void writeExternal(ObjectOutput out) throws IOException

Throws:
  `IOException`

### Class org.scilab.modules.types.ScilabBooleanSparse

class ScilabBooleanSparse extends Object implements Externalizable

serialVersionUID:
  879625048944109684L

#### Serialization Methods

##### readExternal

public void readExternal(ObjectInput in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeExternal

public void writeExternal(ObjectOutput out) throws IOException

Throws:
  `IOException`

### Class org.scilab.modules.types.ScilabDouble

class ScilabDouble extends Object implements Externalizable

serialVersionUID:
  879624048944109684L

#### Serialization Methods

##### readExternal

public void readExternal(ObjectInput in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeExternal

public void writeExternal(ObjectOutput out) throws IOException

Throws:
  `IOException`

### Class org.scilab.modules.types.ScilabDoubleReference

class ScilabDoubleReference extends ScilabDouble implements Externalizable

#### Serialization Methods

##### readExternal

public void readExternal(ObjectInput in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeExternal

public void writeExternal(ObjectOutput out) throws IOException

Throws:
  `IOException`

### Class org.scilab.modules.types.ScilabInteger

class ScilabInteger extends Object implements Externalizable

serialVersionUID:
  1759633801332932450L

#### Serialization Methods

##### readExternal

public void readExternal(ObjectInput in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeExternal

public void writeExternal(ObjectOutput out) throws IOException

Throws:
  `IOException`

### Class org.scilab.modules.types.ScilabIntegerReference

class ScilabIntegerReference extends ScilabInteger implements Externalizable

#### Serialization Methods

##### readExternal

public void readExternal(ObjectInput in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeExternal

public void writeExternal(ObjectOutput out) throws IOException

Throws:
  `IOException`

### Class org.scilab.modules.types.ScilabList

class ScilabList extends ArrayList<ScilabType> implements Externalizable

serialVersionUID:
  6884293176289980909L

#### Serialization Methods

##### readExternal

public void readExternal(ObjectInput in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeExternal

public void writeExternal(ObjectOutput out) throws IOException

Throws:
  `IOException`

### Class org.scilab.modules.types.ScilabMList

class ScilabMList extends ArrayList<ScilabType> implements Externalizable

serialVersionUID:
  3224510024213901841L

#### Serialization Methods

##### readExternal

public void readExternal(ObjectInput in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeExternal

public void writeExternal(ObjectOutput out) throws IOException

Throws:
  `IOException`

### Class org.scilab.modules.types.ScilabPolynomial

class ScilabPolynomial extends Object implements Externalizable

serialVersionUID:
  870624048944109684L

#### Serialization Methods

##### readExternal

public void readExternal(ObjectInput in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeExternal

public void writeExternal(ObjectOutput out) throws IOException

Throws:
  `IOException`

### Class org.scilab.modules.types.ScilabSparse

class ScilabSparse extends Object implements Externalizable

serialVersionUID:
  879625048944109684L

#### Serialization Methods

##### readExternal

public void readExternal(ObjectInput in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeExternal

public void writeExternal(ObjectOutput out) throws IOException

Throws:
  `IOException`

### Exception Class org.scilab.modules.types.ScilabSparseException

class ScilabSparseException extends Exception implements Serializable

### Class org.scilab.modules.types.ScilabString

class ScilabString extends Object implements Externalizable

serialVersionUID:
  359802519980180085L

#### Serialization Methods

##### readExternal

public void readExternal(ObjectInput in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeExternal

public void writeExternal(ObjectOutput out) throws IOException

Throws:
  `IOException`

### Class org.scilab.modules.types.ScilabTList

class ScilabTList extends ArrayList<ScilabType> implements Externalizable

serialVersionUID:
  8080160982092586620L

#### Serialization Methods

##### readExternal

public void readExternal(ObjectInput in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeExternal

public void writeExternal(ObjectOutput out) throws IOException

Throws:
  `IOException`